Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class ExportParams

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.streaming.ExportParams

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ExportParams
extends QTByteObject

This class provides a representation the native ExportParams structure that provides a collection of export parameters

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`ExportParams(int vers, int expType, QTPointer extraData, int targetType, QTPointer targData, int flagsIn, int flagsOut, int creator)` Constructs an ExportParams object based on the native ExportParams structure

Method Summary
`int` | `getExportType()` Gets the export type
`int` | `getFileCreator()` Gets the type of the file creator
`int` | `getFlagsIn()` Gets the input flags
`int` | `getFlagsOut()` Gets output flags
`QTPointer` | `getTargetContainerData()` Gets the target container data
`int` | `getTargetContainerType()` Gets the type of the target container
`int` | `getVersion()` Gets the version of the export params object
`void` | `setExportType(int type)` Sets the type of the export object
`void` | `setFileCreator(int type)` Sets the file creator
`void` | `setFlagsIn(int flags)` Sets the input flags
`void` | `setFlagsOut(int flags)` Sets the output flags
`void` | `setTargetContainerData(QTPointer data)` Sets the target container data
`void` | `setTargetContainerType(int type)` Sets the type of the target container
`void` | `setVersion(int vers)` Sets the version of the export params object
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### ExportParams

    public ExportParams(int vers,
                        int expType,
                        QTPointer extraData,
                        int targetType,
                        QTPointer targData,
                        int flagsIn,
                        int flagsOut,
                        int creator)

  Constructs an ExportParams object based on the native ExportParams structure
  Parameters:
    `vers` - version of the params structure
    `expType` - export type of the data
    `extraData` - export extra data
    `targetType` - type of the target container
    `targData` - target container data
    `flagsIn` - input flags
    `flagsOut` - output flags
    `creator` - file creator

Method Detail

### setVersion

    public void setVersion(int vers)

  Sets the version of the export params object
  Parameters:
    `vers` - version

### getVersion

    public int getVersion()

  Gets the version of the export params object
  Returns:
    version

### setExportType

    public void setExportType(int type)

  Sets the type of the export object
  Parameters:
    `type` - export type

### getExportType

    public int getExportType()

  Gets the export type

### setTargetContainerType

    public void setTargetContainerType(int type)

  Sets the type of the target container
  Parameters:
    `type` - target container type

### getTargetContainerType

    public int getTargetContainerType()

  Gets the type of the target container

### setTargetContainerData

    public void setTargetContainerData(QTPointer data)

  Sets the target container data
  Parameters:
    `data` - target container data

### getTargetContainerData

    public QTPointer getTargetContainerData()

  Gets the target container data

### setFlagsIn

    public void setFlagsIn(int flags)

  Sets the input flags
  Parameters:
    `flags` - the input flags

### getFlagsIn

    public int getFlagsIn()

  Gets the input flags

### setFlagsOut

    public void setFlagsOut(int flags)

  Sets the output flags
  Parameters:
    `flags` - output flags

### getFlagsOut

    public int getFlagsOut()

  Gets output flags

### setFileCreator

    public void setFileCreator(int type)

  Sets the file creator
  Parameters:
    `type` - the file creator type

### getFileCreator

    public int getFileCreator()

  Gets the type of the file creator

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD